26Q0007 ANNEX B TECH EVAL FACTORS.docx

DOCX document 20 KB Posted

Attached to
NEWPORT RI POTS REPLACEMENT SOLUTION Federal contract opportunity
Solicitation number
N7027226Q0007
Issued by
Department of the Navy Naval Supply Systems Command

About this file

This document is an evaluation criteria annex for a federal solicitation for POTS (Plain Old Telephone Service) replacement solution services for Newport, Rhode Island. The evaluation framework establishes five technical assessment requirements that will determine contractor acceptability: whether the proposed solution meets the list of required services and features (PWS paragraph 2.4.1), compliance with required technical requirements (PWS paragraph 2.5), vendor acknowledgment that a site survey will be conducted (PWS paragraph 2.6), vendor acknowledgment of equipment installation responsibility (PWS paragraph 2.7), and vendor discussion of porting procedures where applicable (PWS paragraph 2.8).

This annex functions as part of a larger RFQ package issued by the Naval Supply Systems Command under Solicitation Number N7027226Q0007. The evaluation criteria are structured to assess vendor proposals against specific Performance Work Statement (PWS) provisions, with each requirement directly referencing corresponding PWS sections. The document is designed to provide clear, objective standards for evaluating contractor technical proposals and determining which vendors meet the minimum acceptability threshold for this Navy telecommunications modernization project.

View the file

Other files for this federal contract opportunity

Other files attached to NEWPORT RI POTS REPLACEMENT SOLUTION, newest first.
File Type Posted
26Q0007 RFC-003 RESPONSE.pdf PDF
26Q0007-0001 RFQ.docx DOCX document
26Q0007 RFC-002 RESPONSE.pdf PDF
26Q0007 RFC-001 RESPONSE.pdf PDF
26Q0007 ANNEX A PWS.docx DOCX document
26Q0007 RFQ.docx DOCX document
26Q0007 ANNEX C PRICING.xlsx XLSX spreadsheet
26Q0007 RFC TEMPLATE.docx DOCX document

On GovTribe

Work with this file on GovTribe

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

ANNEX B

FAR 12.602

PROPOSAL EVALUATION FACTORS

Contractor’s technical offer will be assessed based on the RFQ PWS/SOW identified technical requirements. The following will be applied for determination of acceptability:

Contractor: _________________________________

#
Requirement
1
Does the solution meet the list of required Services/features? (PWS paragraph 2.4.1)
2
Does the solution meet the required technical requirements? (PWS paragraph 2.5)
3
Does the vendor acknowledge a site survey will be conducted? (PWS paragraph 2.6)
4
Does the vendor acknowledge they will install the equipment? (PWS paragraph 2.7)
5
Does the vendor discuss porting procedures, if applicable? (PWS paragraph 2.8)

File details come from the government source that posted it. Updated .